Zeitgeist.SimpleResultSet – zeitgeist-2.0 Reference Manual

# SimpleResultSet

## Object Hierarchy:

## Description:

public class SimpleResultSet : `Object`, ResultSet
Namespace: Zeitgeist
Package: zeitgeist-2.0

## Content:

### Creation methods:

- public SimpleResultSet (`GenericArray`<Event> events)
- public SimpleResultSet.with_num_matches (`GenericArray`<Event> events, `uint` matches)

### Methods:

- public `uint` size ()
- public `uint` estimated_matches ()
- public `uint` tell ()
- public `bool` has_next ()
- public Event? next_value ()
- public void reset ()

### Inherited Members:

All known members inherited from class GLib.Object

- @new
- newv
- new_valist
- get_type
- get_class
- @ref
- unref
- ref_sink
- weak_ref
- weak_unref
- add_weak_pointer
- remove_weak_pointer

- @get
- @set
- get_property
- set_property
- get_data
- set_data
- set_data_full
- steal_data
- get_qdata
- set_qdata
- set_qdata_full
- steal_qdata

- freeze_notify
- thaw_notify
- dispose
- constructed
- notify_property
- connect
- disconnect
- add_toggle_ref
- remove_toggle_ref
- bind_property
- notify
- ref_count

All known members inherited from interface Zeitgeist.ResultSet

- size
- estimated_matches
- next_value

- has_next
- tell

- reset
- iterator